$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $("#gradeSelect [value='0']").attr('selected', 'selected');
    $("#groupSelect [value='0']").attr('selected', 'selected');
    $('#gradeSelect').attr('disabled', 'disabled');
    $('#groupSelect').attr('disabled', 'disabled');
    $('#inputGroupSubmit').attr('disabled', 'disabled');
    
// Выбор факультета
    $('#facultySelect').change(function(){
        if (($('#facultySelect option:selected').val()!= '0')) {

                $("#search_results").html('');
                $('#gradeSelect').removeAttr('disabled');
                $('#groupSelect').attr('disabled', 'disabled');
                $("#groupSelect").html('<option value="0">--- Учебная группа ---</option>');
        }
        else
        {
                $('#gradeSelect').attr('disabled', 'disabled');
                $('#groupSelect').attr('disabled', 'disabled');
        }
    });

    // Выбор курса
    $('#gradeSelect').change(function(){
        $("#search_results").html('');
        $('#groupSelect').attr('disabled', 'disabled');
        $("#groupSelect").html('<option value="0">--- Учебная группа ---</option>');
        if (($('#gradeSelect option:selected').val()!= '0')) {
            
            $.post(URLdir + 'handler/admStudents/getGroups',
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeNum': $('#gradeSelect option:selected').val()
            }, 
            function(data){
               $.each(data, function(i){
                    $("#groupSelect").append('<optgroup label="'+data[i].SpecName+'">');
                    $.each(data[i].Groups, function(j)
                    {
                        $("#groupSelect").append('<option value="'+data[i].Groups[j].ID+'">'+data[i].Groups[j].Num+' группа</option>');
                    });
                    $("#groupSelect").append('</optgroup>');
                });
                $("#groupSelect").removeAttr("disabled");
            }, "json");
                
        }
    });
    
    // Выбор группы
    $('#groupSelect').change(function(){
        if (($('#groupSelect option:selected').val()!= '0')) {
            $('#inputGroupSubmit').removeAttr('disabled');
        }
    }); 
    
    $('#inputGroupSubmit').click(function(){
        $('#inputGroupSubmit').attr('disabled', 'disabled');
        $.post(URLdir + 'handler/admStudents/createStudent', 
        {
            'firstName': $('#firstName').val(),
            'secondName': $('#secondName').val(),
            'lastName': $('#lastName').val(),
            'gradeNum': $('#gradeSelect option:selected').val(),
            'groupNum': $('#groupSelect option:selected').val(),
            'facultyID': $('#facultySelect option:selected').val()
        }, 
        function(data){
            if(data.success)
            {
                $('.error_message').hide();
                $('.success_message').show();
                $('.success_code').html(data.code);
            }
            else
            {
                $('.error_message').show();
                $('.success_message').hide();
                $('.success_code').html('');
            }
            $('#inputGroupSubmit').removeAttr('disabled');
        }, "json");
    });
});